<?php

namespace App\Console\Commands;

use App\Services\OracleDOCOrderHeaderService;
use App\Services\OrderService;
use Carbon\Carbon;
use Illuminate\Console\Command;

class SyncWMSOrderTask extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SyncWMSOrderTask';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     */
    public function handle()
    {
        /**
         * @var OracleDOCOrderHeaderService $oracleDOCOrderHeaderService
         * @var OrderService $orderService
         */
        $oracleDOCOrderHeaderService = app('OracleDOCOrderHeaderService');

        $orderService = app('OrderService');
        $start_date = Carbon::now()->subSeconds(60+5);

        // 这段时间段内的新增
        $orderHeaders_addTime = $oracleDOCOrderHeaderService->getWMSOrderOnStartDate($start_date);
        // 这段时间段内的修改
        $orderHeaders_editTime = $oracleDOCOrderHeaderService->getWMSOrderOnEditDate($start_date);
        // 创建
        $orderService->syncOrder($orderHeaders_addTime);
        // 创建
        $orderService->syncOrder($orderHeaders_editTime);
    }
}
